Name:          python-singledispatch
Version:       3.6.2
Release:       1mamba
Summary:       This library brings functools.singledispatch from Python 3.4 to Python 2.6
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://pypi.org/project/singledispatch/
Source:        https://pypi.debian.net/singledispatch/singledispatch-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(six)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n singledispatch-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/singledispatch-*-py*.egg-info
%{python_sitearch}/singledispatch-*-py*.egg-info/*
%doc README.rst

%changelog
* Mon May 31 2021 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Thu Mar 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-2mamba
- rebuilt with python3

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sat Aug 10 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0.3-2mamba
- require python-six

* Sat Jan 23 2016 Davide Madrisan <davide.madrisan@gmail.com> 3.4.0.3-1mamba
- package created using the webbuild interface
